Автор Тема: Установка в Кноппиксе RPM пакетов...  (Прочитано 16000 раз)

0 Пользователей и 1 Гость просматривают эту тему.

moogle2005

  • *
  • Сообщений: 8
  • Karma: +0/-0
Вроде и видит RPM, и библиотеки есть... НО НЕ СТАВИТ ХЭЛП! ПОМОГИТЕ!!!

Vladimir

  • *
  • Сообщений: 158
  • Karma: +0/-0
Re: Установка в Кноппиксе RPM пакетов...
« Ответ #1 : 28 Ноября 2005, 09:58 »
Цитата: "moogle2005"
Вроде и видит RPM, и библиотеки есть... НО НЕ СТАВИТ ХЭЛП! ПОМОГИТЕ!!!


 В Knoppix родной формат пакета не RPM, а DEB.
Уверен? Обгоняй!

wRAR

  • *
  • Сообщений: 103
  • Karma: +0/-0
(Нет темы)
« Ответ #2 : 29 Ноября 2005, 10:44 »
man alien
ALT Linux Team

Eternal flamer

moogle2005

  • *
  • Сообщений: 8
  • Karma: +0/-0
(Нет темы)
« Ответ #3 : 06 Декабря 2005, 07:51 »
RPM, DEB, SRC... Плохо, что не сущесвует единого установочного пакета,
которого придерживались бы все производители Linux-систем. От этой
несовместимости в первую очередь страдает юзер. Да и Microsoft это тоже
на руку...
Незнаю, существует ли универсальный инсталлятор???
Или придётся:
- Искать родные пакеты;
- Конвертировать;
- Менять дистрибутив Линукса?
Если не трудно, поделитесь Вашим опытом установки софта в Knoppix.

P.S. Я только начнающий пользватель, который хочет приспособить LINUX под
все свои нужды. Думаю, что у других новичков тоже могут возникнуть трудности
при их попытке установить первую программу.

kostiak

  • *
  • Сообщений: 140
  • Karma: +0/-0
(Нет темы)
« Ответ #4 : 06 Декабря 2005, 10:19 »
Цитировать
Незнаю, существует ли универсальный инсталлятор???
Да. configure && make && make install
Цитировать
Или придётся:
- Искать родные пакеты;
apt-cache search keyword1 keyword2 - сложно?
Цитировать
- Конвертировать;
alien --to-deb pkgname - сложно? И, кстати какой пакет (его _точно_ нет в Дебиан?)
Цитировать
- Менять дистрибутив Линукса?
Зачем?
Цитировать
Я только начнающий пользватель, который хочет приспособить LINUX под
все свои нужды. Думаю, что у других новичков тоже могут возникнуть трудности
при их попытке установить первую программу

http://www.us.debian.org/doc/manuals/ap ... ex.ru.html

Mak Sim

  • *
  • Сообщений: 18
  • Karma: +0/-0
(Нет темы)
« Ответ #5 : 20 Января 2006, 05:21 »
Хотел я поставить редактор NCute.  Хвалят его, удобный для разработчиков. У нас переход затеяли с DJGPP на Linux..

Цитата: "kostiak"

Да. configure && make && make install

Ну да, делаю я  make - вываливается error и всё.  

Цитата: "kostiak"
apt-cache search keyword1 keyword2 - сложно?

Не сложно. Но не работает. Всё время ошибки выдаёт.

Цитата: "kostiak"
alien --to-deb pkgname - сложно? И, кстати какой пакет (его _точно_ нет в Дебиан?)


ну сделал. Получил пакет *.deb. А дальше? Если кликать мышкой два раза, то открывается как архив. Снова make делать?

А dpkg --install *.deb выдаёт:
...Reading database...
Unpacking replacement...
Setting up..

Ну и куда я что установил? В меню "редакторы" ничего не появилось.
Как мне теперь его запустить? Вообще, установил я чего-то или нет?
Непонятно.

А мне ещё поставить надо программку для сравнения файлов (kdiff3 подошёл бы), CVS графический (ну привык я к WinCVS). .. Как мне это всё поставить в KNOPPIX?

Илья Шпаньков

  • Global Moderator
  • *****
  • Сообщений: 212
  • Karma: +10/-0
  • Старожил
(Нет темы)
« Ответ #6 : 20 Января 2006, 05:45 »
Зачем ставить RPM? Этой программы разве нет в виде DEB-пакета? Зачем самому себе создавать проблемы?

1. Поискать программу в DEB-репозиториях.
2. Поискать DEB-пакет на сайте разработчика
3. Установить из исходников.
4. Собрать DEB-самостоятельно.

kostiak

  • *
  • Сообщений: 140
  • Karma: +0/-0
(Нет темы)
« Ответ #7 : 20 Января 2006, 08:29 »
Цитата: "Mak Sim"
Хотел я поставить редактор NCute
emacs знаю, vim, bluefish, scite, kate, joe, mcedit, nano знаю, ncute - не знаю (навскидку самое близкое - cute.sf.net)
Цитировать
Ну да, делаю я  make - вываливается error и всё.  
хмм, а ./configure проходит без предупреждений? _что_ за ошибка?
Цитировать
apt-cache search keyword1 keyword2 - сложно?
Не сложно. Но не работает. Всё время ошибки выдаёт.
настройте apt.
Цитировать
alien --to-deb pkgname - сложно? И, кстати какой пакет (его _точно_ нет в Дебиан?)
ну сделал. Получил пакет *.deb. А дальше? Если кликать мышкой два раза, то открывается как архив. Снова make делать?
вы, уважаемый, в gui под рутом сиживаете?
Цитировать
А dpkg --install *.deb выдаёт:
...Reading database...
Unpacking replacement...
Setting up..
Ну и куда я что установил? В меню "редакторы" ничего не появилось.
Как мне теперь его запустить? Вообще, установил я чего-то или нет?
Непонятно.
если нет ошибок, значит установил. Посмотреть, какие файлы содержит установленный пакет, можно при помощи "dpkg --listfiles pkgname", если интересуют исполняемые файлы, можно, например, добавить такой фильтр: "| grep bin"
Цитировать
А мне ещё поставить надо программку для сравнения файлов (kdiff3 подошёл бы)
apt-get install kdiff3
Цитировать
CVS графический (ну привык я к WinCVS). .. Как мне это всё поставить в KNOPPIX?

$ apt-cache search cvs gui
gcvs - Graphical frontend for CVS
kdesdk-misc - various goodies from the KDE Software Development Kit
lincvs - graphical CVS frontend

Mak Sim

  • *
  • Сообщений: 18
  • Karma: +0/-0
(Нет темы)
« Ответ #8 : 20 Января 2006, 09:18 »
Цитата: "kostiak"
emacs знаю, vim, bluefish, scite, kate, joe, mcedit, nano знаю, ncute - не знаю (навскидку самое близкое - cute.sf.net)

Ну да, сорри, это CUTE был. Чего то меня перемкнуло на эту эн...
(http://linux.su/250703.shtml)

Цитата: "kostiak"
хмм, а ./configure проходит без предупреждений? _что_ за ошибка?

Да, ./configure говорит, запускайте make.
А make говорит, error, в какой-то глобальной переменной чего-то не туда..
Подробнее пока не могу, увы.

Цитата: "kostiak"
настройте apt.

Если бы знать, как его настраивать. Но я пробую.

Цитата: "kostiak"
вы, уважаемый, в gui под рутом сиживаете?

Нет, только в терминале. А надо и в GUI?

Цитата: "kostiak"
если нет ошибок, значит установил. Посмотреть, какие файлы содержит установленный пакет, можно при помощи "dpkg --listfiles pkgname", если интересуют исполняемые файлы, можно, например, добавить такой фильтр: "| grep bin"

попробую.

Цитата: "kostiak"
apt-get install kdiff3

Цитата: "kostiak"
$ apt-cache search cvs gui
gcvs - Graphical frontend for CVS
kdesdk-misc - various goodies from the KDE Software Development Kit
lincvs - graphical CVS frontend


Ну да, как только настрою apt, так сразу их и поставлю:-)

Спасибо.

kostiak

  • *
  • Сообщений: 140
  • Karma: +0/-0
(Нет темы)
« Ответ #9 : 21 Января 2006, 02:55 »
Цитировать
Да, ./configure говорит, запускайте make.
А make говорит, error, в какой-то глобальной переменной чего-то не туда..
только что ради спортивного интереса собрал, из -dev пакетов понадобились следующие:
* libqt3-mt-dev
* python2.2-dev
в configure явно прописал:
QTDIR=/usr
QMAKESPEC=/usr/share/qt3/mkspecs/dgux-g++
а также пришлось немного изменить cute/readtags.c

кстати, alien'овская дебка заработала на "ура"
alien --to-deb cute-0.2.9-0.i386.rpm
dpkg -i cute_0.2.9-1_i386.deb
cute
Цитировать
Если бы знать, как его настраивать. Но я пробую.
прописать источник в /etc/apt/sources.list и сделать "apt-get update"
подробнее здесь: http://www.us.debian.org/doc/manuals/ap ... ex.ru.html
Цитировать
>вы, уважаемый, в gui под рутом сиживаете?
Нет, только в терминале. А надо и в GUI?
я так понимаю, это действие производится не в терминале:
Цитировать
Если кликать мышкой два раза, то открывается как архив

даже для консоли лучше настроить sudo, а не сидеть под рутом.

Удачи.

moogle2005

  • *
  • Сообщений: 8
  • Karma: +0/-0
(Нет темы)
« Ответ #10 : 21 Января 2006, 12:45 »
А у меня при попытке конвертации в DEB (в Knoppix 3.7), вывыливается ошибка, что не найдена какая то кoмманда sh.
При этом создается куча папок, которые должны быть в пакете DEB.
P.S. Мне интересна установка именно RPM.

kostiak

  • *
  • Сообщений: 140
  • Karma: +0/-0
(Нет темы)
« Ответ #11 : 21 Января 2006, 01:52 »
Цитировать
А у меня при попытке конвертации в DEB (в Knoppix 3.7), вывыливается ошибка, что не найдена какая то кoмманда sh.
При этом создается куча папок, которые должны быть в пакете DEB.
Насколько я помню, alien просит рута, может в этом дело? И если хотите, чтобы вам ответили точно и по существу, пожалуйста, излагайтесь поточнее: "какая то кoмманда sh" - уж больно абстрактно.
Цитировать
P.S. Мне интересна установка именно RPM.

Ещё раз: Кноппикс основан на Дебиан, соответственно, для него родной формат - deb и именно на нём основывается вся система управления пакетами (отслеживание зависимостей, конфигурация и т.д.); вы же не будете пробовать ставить rpm в оффтопик, например?

Mak Sim

  • *
  • Сообщений: 18
  • Karma: +0/-0
(Нет темы)
« Ответ #12 : 23 Января 2006, 02:25 »
Цитата: "kostiak"
настройте apt.

Цитата: "kostiak"
apt-get install kdiff3


Так, ну настрйка APT... Почитал Вашу ссылку, обновил список, исправил MMap... И что. Поиск работает, даже установку найденных пакетов начинает. А дальше - сплошные ошибки. Например, решил для тренировки поставить эмулятор спектрума.

root@yuriysenlnx:/etc/apt# apt-get update
root@yuriysenlnx:/etc/apt# apt-cache show spectemu-x11
root@yuriysenlnx:/etc/apt# apt-get install spectemu-x11
Reading Package Lists... Done
Building Dependency Tree... Done
You might want to run `apt-get -f install' to correct these:
The following packages have unmet dependencies:
  linux-wlan-ng: Depends: libc6 (>= 2.3.5-1) but 2.3.2.ds1-16 is to be installed
  spectemu-x11: Depends: spectemu-common (= 0.94a-5) but it is not going to be installed
                Depends: spectrum-roms but it is not going to be installed
                Depends: libc6 (>= 2.3.5-1) but 2.3.2.ds1-16 is to be installed
                Depends: libncurses5 (>= 5.4-5) but 5.4-4 is to be installed
                Depends: libreadline5 (>= 5.1) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

Ошибка что ли? Установил я эмулятор или нет? Не вижу информации.. Ладно, пробую
root@yuriysenlnx:/etc/apt# apt-get -f install
....
Ну, там много чего, а в итоге след. ошибка
Errors were encountered while processing:
 /var/cache/apt/archives/knode_4%3a3.4.3-1_i386.deb
 /var/cache/apt/archives/kmail_4%3a3.4.3-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Всё.

И подобное же со всем, от kdiff3 и cute  до cvs.  Как это можно исправить?

Цитата: "kostiak"
если нет ошибок, значит установил. Посмотреть, какие файлы содержит установленный пакет, можно при помощи "dpkg --listfiles pkgname", если интересуют исполняемые файлы, можно, например, добавить такой фильтр: "| grep bin"


Ну да. Вот мои результаты по CUTE (полная версия, без купюр):

root@yuriysenlnx:/home/yuriy/CUTE_EDITOR# dpkg --install cute_0.2.9-1_i386.deb
(Reading database ... 107977 files and directories currently installed.)
Preparing to replace cute 0.2.9-1 (using cute_0.2.9-1_i386.deb) ...
Unpacking replacement cute ...
Setting up cute (0.2.9-1) ...
root@yuriysenlnx:/home/yuriy/CUTE_EDITOR#
root@yuriysenlnx:/home/yuriy/CUTE_EDITOR# dpkg --listfiles *.deb
Package `cute_0.2.9-1_i386.deb' is not installed.

Use dpkg --info (= dpkg-deb --info) to examine archive files,
and dpkg --contents (= dpkg-deb --contents) to list their contents.
root@yuriysenlnx:/home/yuriy/CUTE_EDITOR#

Ошибок не видно, но и результатов установки тоже.

А по поводу наименования nCute, это я устанавливал тогда NCURSES, ну меня и перемкнуло:-)

Mak Sim

  • *
  • Сообщений: 18
  • Karma: +0/-0
(Нет темы)
« Ответ #13 : 23 Января 2006, 02:37 »
Цитата: "Илья Шпаньков"
Зачем ставить RPM? Этой программы разве нет в виде DEB-пакета? Зачем самому себе создавать проблемы?

1. Поискать программу в DEB-репозиториях.
2. Поискать DEB-пакет на сайте разработчика
3. Установить из исходников.
4. Собрать DEB-самостоятельно.


Тут Вы правы, проблем не хочется. Нужно текущую работу делать, поэтому хочется побыстрее поставить и не вникать слишком глубоко. Но. Например, если ставить VNC, то там _только_ RPM. Ну и исходники.  То есть, на сайте разработчика не всегда DEB есть, как я заметил:-/
 
Из установки исходников у меня пока что только kermit поставился за приемлемое время. Да и то... А остальные исходники что я пробую, те для компиляции требуют установки ещё кучи библиотек, те - ещё.. Рекурсия и бесконечная итерация какая-то...

Да, собрать DEB самостоятеельно, это как раз по мне задача сейчас... Или имелось в виду из RPM в DEB? Попробовал, но результирующий deb тоже видимых результатов не дал.

Спасибо.

kostiak

  • *
  • Сообщений: 140
  • Karma: +0/-0
(Нет темы)
« Ответ #14 : 23 Января 2006, 04:06 »
Цитировать
Так, ну настрйка APT... Почитал Вашу ссылку, обновил список, исправил MMap... И что. Поиск работает, даже установку найденных пакетов начинает. А дальше - сплошные ошибки.
Попробую объяснить доходчиво. Knoppix - это live-cd, основанный большей частью на Debian unstable. Специфика ветки unstable заключается в том, что софт там обновляется _очень_ часто (практически ежндневно), поэтому если вы не являетесь обладателем последней версии Knoppix, различия в версиях программ между Knoppix и Debian могут оказаться значительными. А уж если есть разница в версиях базовых библиотек (таких как libc), выборочная установка программ из репозитария unstable в старую версию Knoppix без обновления системы наврядли возможна. В качестве решения напрашивается несколько вариантов:

1. Подобрать наиболее близкую ветку Дебиан. Судя по этому:
$ apt-cache policy libc6
libc6:
  Installed: 2.3.5-8
  Candidate: 2.3.5-8
  Version table:
     2.3.5-12 0
         50 http://debian.balt.net unstable/main Packages
 *** 2.3.5-8 0
        800 http://debian.balt.net testing/main Packages
        100 /var/lib/dpkg/status
     2.3.2.ds1-22 0
        500 http://debian.balt.net stable/main Packages
есть шанс, что прописав в качестве источника stable (вместо unstable), удастся обойтись без тотального обновления системы.

2. Обновить _всю_ систему:
apt-get update && apt-get dist-upgrade

3. По _моему_ скромному мнению, Кноппикс очень хорош в качестве лайв-сиди, но на жёсткий диск лучше поставить тот же Дебиан (или Убунту, если против Дебиан есть какие-либо предубеждения); или, если всё же есть желание установить именно Кноппикс, использовать его последнюю версию. Повторюсь, это моё личное мнение.

Немного утрируя: пока apt не скажет вот этого (вот что я подразумевал под "настроенным" apt):
$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
пытаться установить новый софт не имеет смысла.

Цитировать
Setting up cute (0.2.9-1) ...
# dpkg --listfiles *.deb
Package `cute_0.2.9-1_i386.deb' is not installed.

Если быть повнимательнее, можно увидеть, что пакет называется не "cute_0.2.9-1_i386.deb", а просто "cute".

kostiak

  • *
  • Сообщений: 140
  • Karma: +0/-0
(Нет темы)
« Ответ #15 : 23 Января 2006, 04:14 »
Цитировать
Например, если ставить VNC, то там _только_ RPM. Ну и исходники.  То есть, на сайте разработчика не всегда DEB есть, как я заметил:-/
Если производитель не даёт деб'ок, из этого не следует, что их нет:
$ apt-cache search vnc server
krdc - Remote Desktop Connection for KDE
krfb - Desktop Sharing for KDE
linuxvnc - VNC server to monitor a tty
rfb - VNC Server for X11 - exports current display
tightvncserver - virtual network computing server software
tsclient - front-end for viewing of remote desktops in GNOME
vino - VNC server for GNOME
vnc-common - Virtual network computing server software
vncommand - VNC server which monitors a specified program
vncserver - Virtual network computing server software
vncsnapshot - A utility that takes JPEG snapshots from VNC servers
x11vnc - VNC server which uses your current X11 session
x2vnc - A dual-screen hack - link a MS-Windows and X display
xwnc - Mix of Xvnc and XDarwin with improved protocol
vnc-java - VNC java applet and command line program
думаю, для начала хватит?
Цитировать
Из установки исходников у меня пока что только kermit поставился за приемлемое время. Да и то...
Да и этого не надо было делать:
$ apt-cache search kermit
gkermit - A serial and network communications package
ckermit - a serial and network communications package
$ sudo apt-get install gkermit

kostiak

  • *
  • Сообщений: 140
  • Karma: +0/-0
(Нет темы)
« Ответ #16 : 23 Января 2006, 04:21 »
To Mak Sim:
Если вы решитесь обновлять базовую систему, как минимум внимательно прочитайте вывод команды apt-get dist-upgrade перед тем как нажать "yes"

Mak Sim

  • *
  • Сообщений: 18
  • Karma: +0/-0
(Нет темы)
« Ответ #17 : 25 Января 2006, 12:16 »
Цитата: "kostiak"
Да и этого не надо было делать:
$ apt-cache search kermit
gkermit - A serial and network communications package
ckermit - a serial and network communications package
$ sudo apt-get install gkermit


Да, попробовал я поставить эти кермиты. Но какие-то они странные. Не люблю я запутанные интерфейсы. Мне всего-то и надо через com-порт до GPS девайса достучаться. Простй kermit, ну, который чере make поставлен подходит лучше всего. За исключением что если набираю connect, то обратно выйти не получается - требуется Ctrl-, а у меня "" только через Alt.
А как там ещё можно отключить постоянный вопрос о "set carrier-detect off" ?
Спасибо.

Mak Sim

  • *
  • Сообщений: 18
  • Karma: +0/-0
(Нет темы)
« Ответ #18 : 25 Января 2006, 12:25 »
Цитата: "kostiak"
Немного утрируя: пока apt не скажет вот этого (вот что я подразумевал под "настроенным" apt):
$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
пытаться установить новый софт не имеет смысла.

Ну тогда непонятно. Максимум чего я добился от "настройки" apt:
root# apt-get update
Hit http://............... (a lot)
Reading Package Lists... Done.
root#

То есть, установить лучше и не пытаться ничего?

kostiak

  • *
  • Сообщений: 140
  • Karma: +0/-0
(Нет темы)
« Ответ #19 : 25 Января 2006, 05:23 »
Цитировать
То есть, установить лучше и не пытаться ничего?

Как минимум нельзя делать выводы по результатам выполнения _разных_ команд (upgrade в моём примере и update в вашем).

Mak Sim

  • *
  • Сообщений: 18
  • Karma: +0/-0
(Нет темы)
« Ответ #20 : 26 Января 2006, 03:03 »
Цитата: "kostiak"
Цитировать
То есть, установить лучше и не пытаться ничего?
Как минимум нельзя делать выводы по результатам выполнения _разных_ команд (upgrade в моём примере и update в вашем).


Ну ладно.
Вроде читал я всё внимательно для upgrade, но в итоге как и ожидалось, ничего хорошего не получилось. Теперь после включения питания я дальше username & password  пройти не могу. То есть, всё время возвращаюсь к приглашению ввести пароль. Если залогиниться в терминале, то работает. Но без X-ов.
Вобщем, apt  мне понравилась, хотя такой спооб установки программ я бы удобным не назвал.
Наверное надо сносить knoppix  и ставить что-нить для hard-диска. Может не такое глюкавое будет. Но мне именно knoppix понравился тем что в нём всё сразу есть. От gсс до плейеров всяких, и т.п. Ту же Fedor'у ставил, так там например проигрыватель MP3 нужно искать и устанавливать отдельной сессией.

Илья Шпаньков

  • Global Moderator
  • *****
  • Сообщений: 212
  • Karma: +10/-0
  • Старожил
(Нет темы)
« Ответ #21 : 26 Января 2006, 03:34 »
Цитата: "Mak Sim"
Цитата: "kostiak"
Цитировать
То есть, установить лучше и не пытаться ничего?
Как минимум нельзя делать выводы по результатам выполнения _разных_ команд (upgrade в моём примере и update в вашем).

Ну ладно.
Вроде читал я всё внимательно для upgrade, но в итоге как и ожидалось, ничего хорошего не получилось. Теперь после включения питания я дальше username & password  пройти не могу. То есть, всё время возвращаюсь к приглашению ввести пароль. Если залогиниться в терминале, то работает. Но без X-ов.
Вобщем, apt  мне понравилась, хотя такой спооб установки программ я бы удобным не назвал.
Наверное надо сносить knoppix  и ставить что-нить для hard-диска. Может не такое глюкавое будет. Но мне именно knoppix понравился тем что в нём всё сразу есть. От gсс до плейеров всяких, и т.п. Ту же Fedor'у ставил, так там например проигрыватель MP3 нужно искать и устанавливать отдельной сессией.

Могу сказать, что Knoppix отнюдь не самый полный дистрибутив (даже в DVD формате). Тот же SuSE-10.0 предлагает гораздо более широкий набор софта на 5 CD или одном DVD и обладает даже большей дружественностью к новичкам. Knoppix - лучший в своём роде Live-CD, но как стационар он явно уступает многим другим.

Mak Sim

  • *
  • Сообщений: 18
  • Karma: +0/-0
(Нет темы)
« Ответ #22 : 26 Января 2006, 05:38 »
Цитата: "Илья Шпаньков"
Тот же SuSE-10.0 предлагает гораздо более широкий набор софта на 5 CD или одном DVD и обладает даже большей дружественностью к новичкам.


Да вот... буду пробовать. Сейчас скачал ALT Linux, ставлю на ноут. На форуме кто-то кому-то говорил, не помню, что ставить knoppix на диск и потом преодолевать трудности не есть гут. Оставлю knoppix для  CD.
Поищу потом где SuSe можно по ftp слить, и его попробую. Правда, 5 компактов... качать-не перекачать.

Мне вообще-то всего и нужно - Си-шный компилятор и удобный developer environmen (cvs, editor, diff). Пока что в Linux мне только компилятор нравится:-) Остального не нашлось по душе.

kostiak

  • *
  • Сообщений: 140
  • Karma: +0/-0
(Нет темы)
« Ответ #23 : 27 Января 2006, 12:34 »
Цитировать
Пока что в Linux мне только компилятор нравится:-) Остального не нашлось по душе.

"Клава неyдобная - всего 84 клавиши, половина фyнкциональных, ни одна не подписана, хотя... шифт нажимать ногой - оpигинально"

Mak Sim

  • *
  • Сообщений: 18
  • Karma: +0/-0
(Нет темы)
« Ответ #24 : 27 Января 2006, 12:00 »
Цитата: "kostiak"
"Клава неyдобная - всего 84 клавиши, половина фyнкциональных, ни одна не подписана, хотя... шифт нажимать ногой - оpигинально"

Это у Вас шутка юмора такая? Ха-ха-ха три раза. А по теме сказать нечего?

kostiak

  • *
  • Сообщений: 140
  • Karma: +0/-0
(Нет темы)
« Ответ #25 : 27 Января 2006, 03:38 »
Не обижайтесь :) просто больно похоже показалось:
Цитировать
Вобщем, apt мне понравилась, хотя такой спооб установки программ я бы удобным не назвал
Цитировать
А по теме сказать нечего?
По _какой_ теме? Как рпмку в Дебиан засунуть? Или по поводу
Цитировать
удобный developer environmen (cvs, editor, diff)

Так и Emacs и Vim это умеют. Только и тем и другим надо учиться пользоваться. А если надо спроецировать старые привычки, то, наверное, таких и нет.

Mak Sim

  • *
  • Сообщений: 18
  • Karma: +0/-0
(Нет темы)
« Ответ #26 : 10 Февраля 2006, 12:08 »
Цитата: "kostiak"
Немного утрируя: пока apt не скажет вот этого (вот что я подразумевал под "настроенным" apt):
$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
пытаться установить новый софт не имеет смысла.


Сколько ни настраивал apt, но после
$ sudo apt-get upgrade
KNOPIX дальше работать отказывается. То все программы из меню пропадают, то зависает на username-password. Каждый раз потом весь KNOPPIX преустанавливать.
Даже если просто какую-нить программу устанавливаю через apt, тот же cvs графический, то вся система приходит в полную неработоспособность. Это особенности KNOPPIX'а? Нормальная такая стабильная linux- слетает после установки новой программульки.

wRAR

  • *
  • Сообщений: 103
  • Karma: +0/-0
(Нет темы)
« Ответ #27 : 10 Февраля 2006, 01:23 »
Цитата: "Mak Sim"
Нормальная такая стабильная linux- слетает после установки новой программульки.
Хихи. А вы откуда программульку ставили? Из унстабли, небось? Явно не из дистрибутива (бо нет такого понятия в кноппиксе). Ну вот и не обижайтесь. Кноппикс, как основанный на _унстабле_, не может называться "стабильная linux".
ALT Linux Team

Eternal flamer